org.apache.ignite.internal.managers.communication

## Class GridIoPolicy

- java.lang.Object
- - org.apache.ignite.internal.managers.communication.GridIoPolicy

    public class GridIoPolicy
    extends Object

This enumeration defines different types of communication message processing by the communication manager.

### Field Summary

Fields
`static byte` `AFFINITY_POOL` Affinity fetch pool.
`static byte` `CALLER_THREAD` Caller thread.
`static byte` `DATA_STREAMER_POOL` Data streamer execution pool.
`static byte` `IDX_POOL` Pool for handling distributed index range requests.
`static byte` `MANAGEMENT_POOL` Management execution pool.
`static byte` `P2P_POOL` P2P execution pool.
`static byte` `PUBLIC_POOL` Public execution pool.
`static byte` `QUERY_POOL` Query execution pool.
`static byte` `SCHEMA_POOL` Schema pool.
`static byte` `SERVICE_POOL` Pool for service proxy executions.
`static byte` `SYSTEM_POOL` System execution pool.
`static byte` `UNDEFINED`
`static byte` `UTILITY_CACHE_POOL` Utility cache execution pool.

### Constructor Summary

Constructors
Constructor and Description
`GridIoPolicy()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isReservedGridIoPolicy(byte key)` Defines the range of reserved pools that are not available for plugins.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNDEFINED

    public static final byte UNDEFINED

See Also:
  Constant Field Values

#### PUBLIC_POOL

    public static final byte PUBLIC_POOL

Public execution pool.

See Also:
  Constant Field Values

#### P2P_POOL

    public static final byte P2P_POOL

P2P execution pool.

See Also:
  Constant Field Values

#### SYSTEM_POOL

    public static final byte SYSTEM_POOL

System execution pool.

See Also:
  Constant Field Values

#### MANAGEMENT_POOL

    public static final byte MANAGEMENT_POOL

Management execution pool.

See Also:
  Constant Field Values

#### AFFINITY_POOL

    public static final byte AFFINITY_POOL

Affinity fetch pool.

See Also:
  Constant Field Values

#### UTILITY_CACHE_POOL

    public static final byte UTILITY_CACHE_POOL

Utility cache execution pool.

See Also:
  Constant Field Values

#### IDX_POOL

    public static final byte IDX_POOL

Pool for handling distributed index range requests.

See Also:
  Constant Field Values

#### DATA_STREAMER_POOL

    public static final byte DATA_STREAMER_POOL

Data streamer execution pool.

See Also:
  Constant Field Values

#### QUERY_POOL

    public static final byte QUERY_POOL

Query execution pool.

See Also:
  Constant Field Values

#### SERVICE_POOL

    public static final byte SERVICE_POOL

Pool for service proxy executions.

See Also:
  Constant Field Values

#### SCHEMA_POOL

    public static final byte SCHEMA_POOL

Schema pool.

See Also:
  Constant Field Values

#### CALLER_THREAD

    public static final byte CALLER_THREAD

Caller thread.

See Also:
  Constant Field Values

### Constructor Detail

#### GridIoPolicy

    public GridIoPolicy()

### Method Detail

#### isReservedGridIoPolicy

    public static boolean isReservedGridIoPolicy(byte key)

Defines the range of reserved pools that are not available for plugins.

Parameters:
  `key` - The key.
Returns:
  If the key corresponds to reserved pool range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023